<?php
/**
 * Title: Hero
 * Slug: lupr/hero
 * Categories: layouts
 * Keywords: banner, header, full width
 */
?>

<!-- wp:cover {"url":"<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/assets/images/hero.jpg","dimRatio":50,"focalPoint":{"x":0.5,"y":0.31},"minHeight":650,"minHeightUnit":"px","style":{"spacing":{"padding":{"top":"150px","bottom":"0px"},"margin":{"top":"0","bottom":"0"}}}} -->
<div class="wp-block-cover" style="margin-top:0;margin-bottom:0;padding-top:150px;padding-bottom:0px;min-height:650px"><span aria-hidden="true" class="wp-block-cover__background has-background-dim"></span><img class="wp-block-cover__image-background" alt="" src="<?php echo esc_url( get_stylesheet_directory_uri() ); ?>/assets/images/hero.jpg" style="object-position:50% 31%" data-object-fit="cover" data-object-position="50% 31%"/><div class="wp-block-cover__inner-container"><!-- wp:columns -->
<div class="wp-block-columns"><!-- wp:column {"width":"100%"} -->
<div class="wp-block-column" style="flex-basis:100%"><!-- wp:group {"style":{"spacing":{"blockGap":"var:preset|spacing|30","padding":{"top":"var:preset|spacing|30","right":"var:preset|spacing|30","bottom":"var:preset|spacing|30","left":"var:preset|spacing|30"}}},"layout":{"type":"constrained","contentSize":"800px"}} -->
<div class="wp-block-group" style="padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)"><!-- wp:heading {"textAlign":"center","style":{"typography":{"textTransform":"capitalize","fontSize":"5.4rem","lineHeight":"1.2","fontStyle":"normal","fontWeight":"300"}},"textColor":"white","className":"wp-block-heading"} -->
<h2 class="wp-block-heading has-text-align-center has-white-color has-text-color" style="font-size:5.4rem;font-style:normal;font-weight:300;line-height:1.2;text-transform:capitalize"><?php printf( /* translators: opening and closing <strong> */  esc_html_x( 'Smart %1$s Solution %2$s For Your Business', 'sample dummy content', 'lupr' ), '<strong>', '</strong>' ); ?></h2>
<!-- /wp:heading -->

<!-- wp:paragraph {"align":"center","style":{"typography":{"fontSize":"20px","lineHeight":1.6},"spacing":{"margin":{"top":"var:preset|spacing|40","right":"var:preset|spacing|40","bottom":"var:preset|spacing|40","left":"var:preset|spacing|40"}}},"textColor":"white"} -->
<p class="has-text-align-center has-white-color has-text-color" style="margin-top:var(--wp--preset--spacing--40);margin-right:var(--wp--preset--spacing--40);margin-bottom:var(--wp--preset--spacing--40);margin-left:var(--wp--preset--spacing--40);font-size:20px;line-height:1.6"><?php echo esc_html_x( 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis ante orci, molestie vitae vehicula venenatis, tincidunt ac pede.', 'sample dummy content', 'lupr' ); ?></p>
<!-- /wp:paragraph -->

<!-- wp:buttons {"layout":{"type":"flex","justifyContent":"center"},"style":{"spacing":{"margin":{"top":"2em","bottom":"2em"}}}} -->
<div class="wp-block-buttons" style="margin-top:2em;margin-bottom:2em"><!-- wp:button {"backgroundColor":"primary","textColor":"white","style":{"typography":{"fontSize":"17px","fontStyle":"normal","fontWeight":"700","textTransform":"uppercase"},"border":{"radius":"10px"},"spacing":{"padding":{"top":"var:preset|spacing|30","right":"var:preset|spacing|30","bottom":"var:preset|spacing|30","left":"var:preset|spacing|30"}}},"className":"is-style-lupr-button-shadow"} -->
<div class="wp-block-button has-custom-font-size is-style-lupr-button-shadow" style="font-size:17px;font-style:normal;font-weight:700;text-transform:uppercase"><a class="wp-block-button__link has-white-color has-primary-background-color has-text-color has-background wp-element-button" style="border-radius:10px;padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)"><?php echo esc_html_x( 'Learn More', 'sample dummy content', 'lupr' ); ?></a></div>
<!-- /wp:button -->

<!-- wp:button {"backgroundColor":"background","textColor":"foreground","style":{"typography":{"fontSize":"17px","textTransform":"uppercase","fontStyle":"normal","fontWeight":"700"},"border":{"radius":"10px"},"spacing":{"padding":{"top":"var:preset|spacing|30","right":"var:preset|spacing|30","bottom":"var:preset|spacing|30","left":"var:preset|spacing|30"}}},"className":"is-style-lupr-button-shadow"} -->
<div class="wp-block-button has-custom-font-size is-style-lupr-button-shadow" style="font-size:17px;font-style:normal;font-weight:700;text-transform:uppercase"><a class="wp-block-button__link has-foreground-color has-background-background-color has-text-color has-background wp-element-button" style="border-radius:10px;padding-top:var(--wp--preset--spacing--30);padding-right:var(--wp--preset--spacing--30);padding-bottom:var(--wp--preset--spacing--30);padding-left:var(--wp--preset--spacing--30)"><?php echo esc_html_x( 'Get Started', 'sample dummy content', 'lupr' ); ?></a></div>
<!-- /wp:button --></div>
<!-- /wp:buttons -->

<!-- wp:spacer {"height":"65px"} -->
<div style="height:65px" aria-hidden="true" class="wp-block-spacer"></div>
<!-- /wp:spacer --></div>
<!-- /wp:group --></div>
<!-- /wp:column --></div>
<!-- /wp:columns -->

<!-- wp:group {"align":"wide","layout":{"type":"constrained"}} -->
<div class="wp-block-group alignwide"><!-- wp:columns {"align":"wide","style":{"spacing":{"blockGap":{"top":"0","left":"0"},"padding":{"top":"0","right":"0","bottom":"0","left":"0"}}}} -->
<div class="wp-block-columns alignwide" style="padding-top:0;padding-right:0;padding-bottom:0;padding-left:0"><!-- wp:column {"style":{"spacing":{"padding":{"top":"var:preset|spacing|70","right":"var:preset|spacing|70","bottom":"var:preset|spacing|70","left":"var:preset|spacing|70"}}},"backgroundColor":"primary"} -->
<div class="wp-block-column has-primary-background-color has-background" style="padding-top:var(--wp--preset--spacing--70);padding-right:var(--wp--preset--spacing--70);padding-bottom:var(--wp--preset--spacing--70);padding-left:var(--wp--preset--spacing--70)"><!-- wp:heading {"style":{"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"},"margin":{"top":"0","right":"0","bottom":"0","left":"0"}},"typography":{"fontSize":"1.35rem"}},"textColor":"white","className":"wp-block-heading"} -->
<h2 class="wp-block-heading has-white-color has-text-color" style="margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0;font-size:1.35rem"><?php echo esc_html_x( 'Pixel Perfect', 'sample dummy content', 'lupr' ); ?></h2>
<!-- /wp:heading -->

<!-- wp:paragraph {"style":{"typography":{"fontSize":"1rem"}},"textColor":"white"} -->
<p class="has-white-color has-text-color" style="font-size:1rem"><?php echo esc_html_x( 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis ante orci, molestie vitae vehicula venenatis, tincidunt ac pede.', 'sample dummy content', 'lupr' ); ?></p>
<!-- /wp:paragraph --></div>
<!-- /wp:column -->

<!-- wp:column {"style":{"spacing":{"padding":{"top":"var:preset|spacing|70","right":"var:preset|spacing|70","bottom":"var:preset|spacing|70","left":"var:preset|spacing|70"}}},"backgroundColor":"black"} -->
<div class="wp-block-column has-black-background-color has-background" style="padding-top:var(--wp--preset--spacing--70);padding-right:var(--wp--preset--spacing--70);padding-bottom:var(--wp--preset--spacing--70);padding-left:var(--wp--preset--spacing--70)"><!-- wp:heading {"style":{"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"},"margin":{"top":"0","right":"0","bottom":"0","left":"0"}},"typography":{"fontSize":"1.35rem"}},"textColor":"white","className":"wp-block-heading"} -->
<h2 class="wp-block-heading has-white-color has-text-color" style="margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0;font-size:1.35rem"><?php echo esc_html_x( 'Ultimate Design', 'sample dummy content', 'lupr' ); ?></h2>
<!-- /wp:heading -->

<!-- wp:paragraph {"style":{"typography":{"fontSize":"1rem"}},"textColor":"white"} -->
<p class="has-white-color has-text-color" style="font-size:1rem"><?php echo esc_html_x( 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis ante orci, molestie vitae vehicula venenatis, tincidunt ac pede.', 'sample dummy content', 'lupr' ); ?></p>
<!-- /wp:paragraph --></div>
<!-- /wp:column -->

<!-- wp:column {"style":{"spacing":{"padding":{"top":"var:preset|spacing|70","right":"var:preset|spacing|70","bottom":"var:preset|spacing|70","left":"var:preset|spacing|70"}}},"backgroundColor":"cyan-bluish-gray"} -->
<div class="wp-block-column has-cyan-bluish-gray-background-color has-background" style="padding-top:var(--wp--preset--spacing--70);padding-right:var(--wp--preset--spacing--70);padding-bottom:var(--wp--preset--spacing--70);padding-left:var(--wp--preset--spacing--70)"><!-- wp:heading {"style":{"spacing":{"padding":{"top":"0","right":"0","bottom":"0","left":"0"},"margin":{"top":"0","right":"0","bottom":"0","left":"0"}},"typography":{"fontSize":"1.35rem"}},"textColor":"white","className":"wp-block-heading"} -->
<h2 class="wp-block-heading has-white-color has-text-color" style="margin-top:0;margin-right:0;margin-bottom:0;margin-left:0;padding-top:0;padding-right:0;padding-bottom:0;padding-left:0;font-size:1.35rem"><?php echo esc_html_x( 'Ready To Use', 'sample dummy content', 'lupr' ); ?></h2>
<!-- /wp:heading -->

<!-- wp:paragraph {"style":{"typography":{"fontSize":"1rem"}},"textColor":"white"} -->
<p class="has-white-color has-text-color" style="font-size:1rem"><?php echo esc_html_x( 'Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Duis ante orci, molestie vitae vehicula venenatis, tincidunt ac pede.', 'sample dummy content', 'lupr' ); ?></p>
<!-- /wp:paragraph --></div>
<!-- /wp:column --></div>
<!-- /wp:columns --></div>
<!-- /wp:group --></div></div>
<!-- /wp:cover -->
